The Alternative Csound Reference Manual
Previous |  | Next

# lpreson

lpreson -- Modifies the spectrum of an audio signal with time-varying filter coefficients from a control file.

## Description

Modifies the spectrum of an audio signal with time-varying filter coefficients from a control file.

## Syntax

ar lpreson asig

## Performance

asig -- an audio signal to be modified.

lpread gets its values from the control file according to the input value ktimpnt (in seconds). If ktimpnt proceeds at the analysis rate, time-normal synthesis will result; proceeding at a faster, slower, or variable rate will result in time-warped synthesis. At each k-period, lpread interpolates between adjacent frames to more accurately determine the parameter values (presented as output) and the filter coefficient settings (passed internally to a subsequent lpreson).

## See Also

lpfreson, lpread

Previous | Home | Next
lpread | Up | lpshold